EZ_CreateRotateTextPixmap(3)

NAME
EZ_CreateRotateTextPixmap - draw rotated text

SYNOPSIS
#include <EZ.h>

EZ_Bitmap *EZ_CreateRotateTextPixmap( char *str, int fontId, int linelength,
                                int justification, int angle)

EZ_Bitmap *EZ_CreateRotateTextPixmapU( char *str, int fontId, int linelength,
                                int justification, int underline, int angle)

ARGUMENTS
str Specifies a string

fontId Specifies a internal font id, must be the return value of EZ_LoadXFont.

linelength Specifies the length of one line. Long text will be broken into mutiple lines according to limit.

justification Specifies text justfication. Must be one of EZ_LEFT, EZ_RIGHT or EZ_CENTER.

underline Specifies the index of the character to be underlined or -1.

angle Specifies an angle in degrees.

DESCRIPTION

EZ_CreateRotateTextPixmap returns an internal pixmap displaying a rotated text string. This is the only way in EZWGL to render vertical text.

SEE ALSO